Bug 761570 - [RFE] support looking up autofs maps via SSSD
Summary: [RFE] support looking up autofs maps via SSSD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: 683518 683523 736854 750334 813327 816686
TreeView+ depends on / blocked
 
Reported: 2011-12-08 16:01 UTC by Jakub Hrozek
Modified: 2018-11-30 22:16 UTC (History)
6 users (show)

Fixed In Version: sssd-1.8.0-4.el6.beta3
Doc Type: Technology Preview
Doc Text:
Title: SSSD support for automount map caching In Red Hat Enterprise Linux 6.3, SSSD includes a new Technology Preview feature: support for caching automount maps. This feature provides several advantages to environments that operate with autofs: Cached automount maps make it easy for a client machine to perform mount operations even when the LDAP server is unreachable, but the NFS server remains reachable. When the autofs daemon is configured to look up automount maps via SSSD, only a single file has to be configured: /etc/sssd.conf. Previously, the /etc/sysconfig/autofs file had to be configured to fetch autofs data. Caching the automount maps results in faster performance on the client and lower traffic on the LDAP server.
Clone Of:
: 813327 816686 (view as bug list)
Environment:
Last Closed: 2012-06-20 11:49:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0747 normal SHIPPED_LIVE sssd bug fix and enhancement update 2012-06-19 19:31:43 UTC

Description Jakub Hrozek 2011-12-08 16:01:18 UTC
Description of problem:
SSDS 1.8 should integrate with autofs to provide caching, offline access an other benefits of SSSD.

Autofs is able to look up maps stored in LDAP. However, autofs does all the lookups on its own. Even though autofs abuses the nsswitch.conf configuration file, there is no glibc interface such as those for retreiving users and groups and by extension no nscd caching.

Bug #683523 is tracking the autofs side of things and is also where the inital discussion happened.

The design was summarized in a design page at https://fedorahosted.org/sssd/wiki/DesignDocs/AutofsIntegration

Comment 1 Jakub Hrozek 2011-12-08 16:07:12 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/900

Comment 8 Stephen Gallagher 2012-03-06 19:34:12 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
SSSD in RHEL 6.3 provides a new technical preview feature: support for caching autofs maps. This feature provides several advantages to environments that operate with automount.

1) Cached automount maps means that if the LDAP server is unreachable, but the NFS server remains reachable, the client machine can still perform mounts.

2) It provides a single point of configuration for management of the configuration in sssd.conf.

3) Caching the maps results in faster performance on the client and lower load on the LDAP server.

Comment 9 Martin Prpič 2012-04-02 16:30:53 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,8 @@
-SSSD in RHEL 6.3 provides a new technical preview feature: support for caching autofs maps. This feature provides several advantages to environments that operate with automount.
+Title: SSSD support for automount map caching
+In Red Hat Enterprise Linux 6.3, SSSD includes a new Technology Preview feature: support for caching automount maps. This feature provides several advantages to environments that operate with autofs:
 
-1) Cached automount maps means that if the LDAP server is unreachable, but the NFS server remains reachable, the client machine can still perform mounts.
+Cached automount maps make it easy for a client machine to perform mount operations even when the LDAP server is unreachable, but the NFS server remains reachable.
-
+    
-2) It provides a single point of configuration for management of the configuration in sssd.conf.
+When the autofs daemon is configured to look up automount maps via SSSD, only a single file has to be configured: /etc/sssd.conf. Previously, the /etc/sysconfig/autofs file had to be configured to fetch autofs data.
-
+    
-3) Caching the maps results in faster performance on the client and lower load on the LDAP server.+Caching the automount maps results in faster performance on the client and lower traffic on the LDAP server.

Comment 10 Jenny Severance 2012-04-26 13:50:10 UTC
Closing bug feature is in and Technical Preview

Comment 11 K Rain Leander 2012-04-26 15:08:23 UTC
Did we get this finished in time for the Beta or will it only be available once 6.3 is released?

Comment 12 Jakub Hrozek 2012-04-26 15:19:48 UTC
(In reply to comment #11)
> Did we get this finished in time for the Beta or will it only be available once
> 6.3 is released?

It is included in Beta. However, please watch out for bug #812281, which was fixed post-beta in sssd-1.8.0-23.el6, it seems that 6.3 Beta includes sssd-1.8.0-22.el6

Comment 14 errata-xmlrpc 2012-06-20 11:49:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0747.html


Note You need to log in before you can comment on or make changes to this bug.